Cancel Campaign
Cancel a campaign. Cancellation is allowed from most statuses except COMPLETED, CANCELLED, and ARCHIVED. Any unsent email jobs are deleted.
Endpoint
POST https://api.campaignlark.com/v1/campaigns/:id/cancel
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | required | The campaign ID. |
Sample Request
POST https://api.campaignlark.com/v1/campaigns/64f1a2b3c4d5e6f7a8b9c0d1/cancel
Response
Success — 200 OK
{
"error": null,
"data": {
"id": "64f1a2b3c4d5e6f7a8b9c0d1",
"status": "CANCELLED"
}
}
Errors
| Status | Message | Cause |
|---|---|---|
400 | Please provide a campaign ID. | id path param is missing. |
400 | The campaign cannot be cancelled. It may not exist or is already completed, cancelled, or archived. | Campaign is in a terminal status. |